Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 139355 - Documentation for 'rsize' and 'wsize' NFS mount options is misleading
Summary: Documentation for 'rsize' and 'wsize' NFS mount options is misleading
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: 170110 RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2004-11-15 15:17 UTC by Daniel Berrange
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0456
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:45:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0456 normal SHIPPED_LIVE util-linux and mount bug fix update 2006-07-19 18:48:00 UTC

Description Daniel Berrange 2004-11-15 15:17:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
In the section detailing mount options for NFS filesystems, it says
that the default value for rsize and wsize options is 4k.

[quote]
   rsize=8192,wsize=8192
      This  will make your nfs connection faster than with the default
      buffer size of 4096. (NFSv2 does not work with larger values  of
      rsize and wsize.)
[/quote]

This does not tie up with what the kernel source appears to be doing,
which is to use the server specified default values. The performance
turning pages at http://nfs.sourceforge.net/nfs-howto/performance.html
also say that the default is typically server specified.

[quote]
  If no rsize and wsize options are specified, the default varies by
  which version of NFS we are using. The most common default is 4K
  (4096 bytes), although for TCP-based mounts in 2.2 kernels, and
  for all mounts beginning with 2.4 kernels, the server specifies
  the default block size.
[/quote]


Version-Release number of selected component (if applicable):
mount-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1. man 'mount'
2. Search for 'rsize'/'wsize'
3.
    

Expected Results:  Documentation for default value of rsize/wsize
options corresponds to actual practice in kernel source.

Additional info:
The man page should probably also warn about potential problems with
an oversized rsize/wsize as the the above doc on nfs.sourceforge.net

[quote]
If the rsize/wsize  is too large the symptoms are very odd and not
100% obvious. A typical symptom is incomplete file lists when doing
ls, and no error messages, or reading files failing mysteriously
with no error messages.
[/quote]

Comment 1 Don Buchholz 2005-01-11 17:43:30 UTC
Also, the mount(8) and nfs(5) man pages have conflicting statements
about the default rsize,wsize values.  Mount(8) says 4K; nfs(5) says 1K.

Comment 2 Steve Dickson 2005-10-07 13:12:53 UTC
Fixed in util-linux-2.11y-31.12

Comment 12 Bob Johnson 2006-04-11 16:00:16 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 16 Red Hat Bugzilla 2006-07-20 14:45:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0456.html



Note You need to log in before you can comment on or make changes to this bug.